Subject: MS compatible DLL's with cygwin32 (fwd)
From: [email-masked] (Nick van Eijndhoven)

26 Sep 1997 00:59:40 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked]

Since the email address of Geoff Noer turned out to be no longer valid
I hereby send my question below to this list.
I would appreciate any help on the subject.

                                                      Thanks.
                                                       Nick.

*----------------------------------------------------------------------*
 Dr. Nick van Eijndhoven                Department of Subatomic Physics
 email : [email-masked]                Utrecht University / NIKHEF
 tel. +31-30-2532331 (direct)           P.O. Box 80.000
 tel. +31-30-2531492 (secr.)            NL-3508 TA Utrecht
 fax. +31-30-2518689                    The Netherlands
 WWW : http://www.fys.ruu.nl/~nick      Office : Ornstein lab. 172
 ----------------------------------------------------------------------
 tel. +41-22-7679751 (direct)           CERN PPE Division / ALICE exp.
 tel. +41-22-7675857 (secr.)            CH-1211 Geneva 23
 fax. +41-22-7679480                    Switzerland
 CERN beep : 13+7294                    Office : B 160 1-012
*----------------------------------------------------------------------*

*** Nick van Eijndhoven wrote :
> From [email-masked]  Thu Sep 25 17:51:49 1997
> From: Nick van Eijndhoven <[email-masked]>
> Message-Id: <[email-masked]>
> Subject: MS compatible DLL's with cygwin32
> To: [email-masked]
> Date: Thu, 25 Sep 1997 17:51:48 +0200 (MET DST)
> Cc: [email-masked] (Nick van Eijndhoven)
> X-Mailer: ELM [version 2.4 PL25]
> MIME-Version: 1.0
> Content-Type: text/plain; charset=US-ASCII
> Content-Transfer-Encoding: 7bit
> 
> Dear Geoff,
> I am using cygwin32 version beta 17 (and actually only the g++ stuff
> from it) to compile my programs and make libraries.
> This works all fine (both libxxx.a as xxx.dll) as long as I stay within
> my G++ world. However, when I want to combine my g++ created DLL's 
> with the ones produced by MSVC++ (i.e. loading my g++ dll's within
> a session of a multipurpose package (see http://root.cern.ch) which was
> built with MSVC++) it doesn't work. To be more precise : somehow the
> MSVC++ built ROOT package (using the MS windows95 facilities) sees that
> the g++ dll's are not compatible with the MSVC++ ones.
> I am running on a PC with windows95.
> Is there any special flag on g++ (or dlltool) which I should set to
> produce dll's in the MSVC++ format ?
> Furthermore, it would be nice to have an option -shared on the g++
> command, such that one can say (like on UNIX systems)
> 
>  g++ -shared -s -o xxx.dll *.cc (or *.o if you like)
> 
> to produce directly the shared object.
> Could you please provide me some info to get along in creating MSVC++
> compatible dll's using this nice g++ compiler ?
> 
>                                          Thanks in advance,
>                                               Nick.
>                   
> *----------------------------------------------------------------------*
>  Dr. Nick van Eijndhoven                Department of Subatomic Physics
>  email : [email-masked]                Utrecht University / NIKHEF
>  tel. +31-30-2532331 (direct)           P.O. Box 80.000
>  tel. +31-30-2531492 (secr.)            NL-3508 TA Utrecht
>  fax. +31-30-2518689                    The Netherlands
>  WWW : http://www.fys.ruu.nl/~nick      Office : Ornstein lab. 172
>  ----------------------------------------------------------------------
>  tel. +41-22-7679751 (direct)           CERN PPE Division / ALICE exp.
>  tel. +41-22-7675857 (secr.)            CH-1211 Geneva 23
>  fax. +41-22-7679480                    Switzerland
>  CERN beep : 13+7294                    Office : B 160 1-012
> *----------------------------------------------------------------------*
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".